###########################################################################
#
# win32.mak -- Windows Makefile for common-src
#
# By Michael Dewsnip
#
# Copyright (C) 2010  DL Consulting Ltd.
#
###########################################################################


# Option: Lucene support (enabled by default)
ENABLE_LUCENE = 1
!IF $(ENABLE_LUCENE)
LUCENE_SUBDIRS = indexers packages\expat
!ENDIF

# Option: SQLite support (enabled by default)
USE_SQLITE = 1
!IF $(USE_SQLITE)
SQLITE_SUBDIRS = packages\sqlite
MAKE = $(MAKE) GSDLHOME=$(MAKEDIR)\..
!ENDIF

SUBDIRS = $(LUCENE_SUBDIRS) $(SQLITE_SUBDIRS) packages\windows\crypt\crypt src\lib


all:
	@FOR %i IN ($(SUBDIRS)) DO cd %i && $(MAKE) /f win32.mak && cd $(MAKEDIR)

install:
	@FOR %i IN ($(SUBDIRS)) DO cd %i && $(MAKE) /f win32.mak install && cd $(MAKEDIR)

clean:
	@FOR %i IN ($(SUBDIRS)) DO cd %i && $(MAKE) /f win32.mak clean && cd $(MAKEDIR)
