###########################################################################
#
# win32.mak -- Windows Makefile for gs2-core
#
# By Michael Dewsnip
#
# Copyright (C) 2010  DL Consulting Ltd.
#
###########################################################################


# Option: Lucene support (enabled by default)
ENABLE_LUCENE = 1
MAKE = $(MAKE) ENABLE_LUCENE=$(ENABLE_LUCENE)

# Option: SQLite support (enabled by default)
USE_SQLITE = 1
MAKE = $(MAKE) USE_SQLITE=$(USE_SQLITE)


SUBDIRS = common-src build-src runtime-src


all:
	@FOR %i IN ($(SUBDIRS)) DO cd %i && $(MAKE) /f win32.mak && cd $(MAKEDIR)

install:
	@FOR %i IN ($(SUBDIRS)) DO cd %i && $(MAKE) /f win32.mak install && cd $(MAKEDIR)

clean:
	@FOR %i IN ($(SUBDIRS)) DO cd %i && $(MAKE) /f win32.mak clean && cd $(MAKEDIR)
